﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="TestProject.MainPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>FormView 클래스 사용하기</title>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                <asp:FormView ID="formView" runat="server" 
                    DataSourceID="sqlDataSource"
                    DataKeyNames="ID">
                    <ItemTemplate>
                        ID : <%# Eval("ID") %><br />
                        NAME : <%# Eval("NAME") %><br />
                    </ItemTemplate>
                </asp:FormView>
                <asp:SqlDataSource ID="sqlDataSource" runat="server"
                    ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
                    SelectCommand="SELECT ID, NAME FROM dbo.Code WHERE ID = @ID">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="ID" QueryStringField="ID" Type="String" />
                    </SelectParameters>
                </asp:SqlDataSource>
            </div>
        </form>
    </body>
</html>